package com.kingdee.eas.custom.dormitorysystem.waterelectricity;

import com.kingdee.bos.framework.ejb.EJBRemoteException;
import com.kingdee.bos.util.BOSObjectType;
import java.rmi.RemoteException;
import com.kingdee.bos.framework.AbstractBizCtrl;
import com.kingdee.bos.orm.template.ORMObject;

import com.kingdee.bos.util.*;
import com.kingdee.eas.framework.CoreBaseInfo;
import com.kingdee.eas.custom.dormitorysystem.waterelectricity.app.*;
import com.kingdee.bos.Context;
import com.kingdee.eas.hr.base.HRBillBaseEntry;
import com.kingdee.bos.dao.IObjectPK;
import com.kingdee.bos.BOSException;
import com.kingdee.bos.metadata.entity.SelectorItemCollection;
import com.kingdee.eas.hr.base.IHRBillBaseEntry;
import com.kingdee.eas.common.EASBizException;
import com.kingdee.eas.framework.CoreBaseCollection;
import com.kingdee.bos.metadata.entity.EntityViewInfo;
import java.lang.String;
import com.kingdee.bos.framework.*;

public class WaterElectricityEntry extends HRBillBaseEntry implements IWaterElectricityEntry
{
    public WaterElectricityEntry()
    {
        super();
        registerInterface(IWaterElectricityEntry.class, this);
    }
    public WaterElectricityEntry(Context ctx)
    {
        super(ctx);
        registerInterface(IWaterElectricityEntry.class, this);
    }
    public BOSObjectType getType()
    {
        return new BOSObjectType("1562598F");
    }
    private WaterElectricityEntryController getController() throws BOSException
    {
        return (WaterElectricityEntryController)getBizController();
    }
    /**
     *取值-System defined method
     *@param pk 取值
     *@return
     */
    public WaterElectricityEntryInfo getWaterElectricityEntryInfo(IObjectPK pk) throws BOSException, EASBizException
    {
        try {
            return getController().getWaterElectricityEntryInfo(getContext(), pk);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取值-System defined method
     *@param pk 取值
     *@param selector 取值
     *@return
     */
    public WaterElectricityEntryInfo getWaterElectricityEntryInfo(IObjectPK pk, SelectorItemCollection selector) throws BOSException, EASBizException
    {
        try {
            return getController().getWaterElectricityEntryInfo(getContext(), pk, selector);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取值-System defined method
     *@param oql 取值
     *@return
     */
    public WaterElectricityEntryInfo getWaterElectricityEntryInfo(String oql) throws BOSException, EASBizException
    {
        try {
            return getController().getWaterElectricityEntryInfo(getContext(), oql);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取集合-System defined method
     *@return
     */
    public WaterElectricityEntryCollection getWaterElectricityEntryCollection() throws BOSException
    {
        try {
            return getController().getWaterElectricityEntryCollection(getContext());
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取集合-System defined method
     *@param view 取集合
     *@return
     */
    public WaterElectricityEntryCollection getWaterElectricityEntryCollection(EntityViewInfo view) throws BOSException
    {
        try {
            return getController().getWaterElectricityEntryCollection(getContext(), view);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取集合-System defined method
     *@param oql 取集合
     *@return
     */
    public WaterElectricityEntryCollection getWaterElectricityEntryCollection(String oql) throws BOSException
    {
        try {
            return getController().getWaterElectricityEntryCollection(getContext(), oql);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
}